Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libarchive: security upgrade to 3.2.2

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Thu, 27 Oct 2016 21:59:11 -0400

CVE-2016-8687
CVE-2016-8688
CVE-2016-8689

Update URL
---
 main/libarchive/APKBUILD | 32 +++++++++++---------------------
 1 file changed, 11 insertions(+), 21 deletions(-)
diff --git a/main/libarchive/APKBUILD b/main/libarchive/APKBUILD
index 8187d59..9120b44 100644
--- a/main/libarchive/APKBUILD
+++ b/main/libarchive/APKBUILD
_at_@ -1,41 +1,31 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libarchive
-pkgver=3.2.1
-pkgrel=1
+pkgver=3.2.2
+pkgrel=0
 pkgdesc="library that can create and read several streaming archive formats"
-url="http://libarchive.googlecode.com/"
+url="http://libarchive.org/"
 arch="all"
 license="BSD"
 depends=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-tools"
 makedepends="zlib-dev bzip2-dev xz-dev acl-dev libressl-dev expat-dev"
 depends_dev="$makedepends"
-source="http://www.libarchive.org/downloads/libarchive-$pkgver.tar.gz
-	"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+source="http://www.libarchive.org/downloads/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build () {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
 		--without-xml2 \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
_at_@ -45,6 +35,6 @@ tools() {
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
 
-md5sums="afa257047d1941a565216edbf0171e72  libarchive-3.2.1.tar.gz"
-sha256sums="72ee1a4e3fd534525f13a0ba1aa7b05b203d186e0c6072a8a4738649d0b3cfd2  libarchive-3.2.1.tar.gz"
-sha512sums="a5d43cb0bf36b687fabfbc874e7adc1fa94c563e7f073e107db8d4e79e8d0d8146cb985809f8115fbb882fc2d8a2a477d0a7364e93e6df62f292bb5e9865ec5c  libarchive-3.2.1.tar.gz"
+md5sums="1ec00b7dcaf969dd2a5712f85f23c764  libarchive-3.2.2.tar.gz"
+sha256sums="691c194ee132d1f0f7a42541f091db811bc2e56f7107e9121be2bc8c04f1060f  libarchive-3.2.2.tar.gz"
+sha512sums="a67920c37d49cf9478032d77fc4fa21827cebb96e9b83d9ecb8466328834052e4ab3d3a9bc4e2edf405d6cb14ffd648c9fa100b578257f6e5842c99bbea558a7  libarchive-3.2.2.tar.gz"
-- 
2.10.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 27 2016 - 21:59:11 GMT